/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-07 16:36
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N;

void solve(){
    // Code goes here ...
    cin >> N;
    ll t;
    vector<ll> a;
    R(i, N){
        cin >> t;
        a.emplace_back(t);
    }
    ll sum = accumulate(a.begin(), a.end(), 0);

    cerr << sum << endl;
    cout << (sum % 2 == 0 ? "YES" : "NO") << endl;
}

int main(){
    ios_base::sync_with_stdio(false);
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
